body {
	margin: 0 auto;
	padding: 0;
	background-color: transparent;
	color: #000;
	font-family: Arial, Helvetica, sans-serif;
}

* {
	box-sizing: border-box;
}

a {
	display: inline-block;
	color: rgba(255,255,255,1);
	text-align: center;
	text-decoration: none;
	text-transform: capitalize;
	-webkit-text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.30);
	text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.30);
	font-weight: 600;
}


.rk-btn-vars {
	/* background-color */
	--default-bg-color: var(--button-external-default-bg-color, #0B0C0D);
	--focused-bg-color: var(--button-external-focused-bg-color, #2B3135);
	--hover-bg-color: var(--button-external-hover-bg-color, #2B3135);
	--click-bg-color: var(--button-external-click-bg-color, #4C555D);
	--load-bg-color: var(--button-external-load-bg-color, #F1F3F4);
	--disable-bg-color: var(--button-external-disable-bg-color, #CFD4D8);
	/* color */
	--default-color: var(--button-external-default-color, #FFFFFF);
	--focused-color: var(--button-external-focused-color, #FFFFFF);
	--hover-color: var(--button-external-hover-color, #FFFFFF);
	--click-color: var(--button-external-click-color, #FFFFFF);
	--load-color: var(--button-external-load-color, #788591);
	--disable-color: var(--button-external-disable-color, #FFFFFF);
	/* border-color */
	--default-border-color: var(--button-external-default-border-color, transparent);
	--focused-border-color: var(--button-external-focused-border-color, transparent);
	--hover-border-color: var(--button-external-hover-border-color, transparent);
	--click-border-color: var(--button-external-click-border-color, transparent);
	--load-border-color: var(--button-external-load-border-color, transparent);
	--disable-border-color: var(--button-external-disable-border-color, transparent);
	/* loader line color */
	--default-load-line-color: #0B0C0D;
}

.rk-btn-vars {
	--height: 36px;
	--width: auto;
	--border-radius: 8px;
	--border-width: 1px;
	--padding-top: 6px;
	--padding-right: 16px;
	--padding-bottom: 6px;
	--padding-left: 16px;
	--padding: var(--button-external-padding-general, var(--padding-top) var(--padding-right) var(--padding-bottom) var(--padding-left));
	--gap: 10px;
	--transition-time: var(--button-external-transition-time, 0.3s);
	--transition-timing-function: var(--button-external-transition-timing-function, ease-out);
}

.rk-btn-vars.rk-btn-s {
	--height: var(--button-external-height-s, 36px);
	--width: var(--button-external-width-s, auto);
	--padding-top: var(--button-external-padding-top-s, 6px);
	--padding-right: var(--button-external-padding-right-s, 16px);
	--padding-bottom: var(--button-external-padding-bottom-s, 6px);
	--padding-left: var(--button-external-padding-left-s, 16px);
	--border-radius: var(--button-external-border-radius-s, 8px);
}

.rk-btn-vars.rk-btn-m {
	--height: var(--button-external-height-m, 48px);
	--width: var(--button-external-width-m, auto);
	--padding-top: var(--button-external-padding-top-m, 12px);
	--padding-right: var(--button-external-padding-right-m, 24px);
	--padding-bottom: var(--button-external-padding-bottom-m, 12px);
	--padding-left: var(--button-external-padding-left-m, 24px);
	--border-radius: var(--button-external-border-radius-m, 10px);
}

.rk-btn-vars.rk-btn-l {
	--height: var(--button-external-height-l, 56px);
	--width: var(--button-external-width-l, auto);
	--padding-top: var(--button-external-padding-top-l, 16px);
	--padding-right: var(--button-external-padding-right-l, 32px);
	--padding-bottom: var(--button-external-padding-bottom-l, 16px);
	--padding-left: var(--button-external-padding-left-l, 32px);
	--border-radius: var(--button-external-border-radius-l, 10px);
}

.rk-btn {
	display: flex;
	outline: none;
	cursor: pointer;
	user-select: none;
	align-items: center;
	border-style: solid;
	box-sizing: border-box;
	justify-content: center;
	-webkit-tap-highlight-color: transparent;
	font-family: inherit;
	color: var(--default-color);
	fill: var(--default-color);
	background-color: var(--default-bg-color);
	border-color: var(--default-border-color);
	--fill: var(--default-color);
	gap: var(--gap);
	height: var(--height);
	width: var(--width);
	padding: var(--padding) !important;
	border-width: var(--border-width);
	border-radius: var(--border-radius);
	transition: all var(--transition-time) var(--transition-timing-function);
}

@media (hover: hover) {
	.rk-btn:hover {
		color: var(--hover-color);
		fill: var(--hover-color);
		background-color: var(--hover-bg-color);
		border-color: var(--hover-border-color);
		--fill: var(--hover-color);
	}
}

.rk-btn.hovered {
	color: var(--hover-color);
	fill: var(--hover-color);
	background-color: var(--hover-bg-color);
	border-color: var(--hover-border-color);
	--fill: var(--hover-color);
}

.rk-btn:focus, .rk-btn.focused {
	color: var(--focused-color);
	fill: var(--focused-color);
	background-color: var(--focused-bg-color);
	border-color: var(--focused-border-color);
	--fill: var(--focused-color);
}

.rk-btn:active, .rk-btn.clicked {
	color: var(--click-color);
	fill: var(--click-color);
	background-color: var(--click-bg-color);
	border-color: var(--click-border-color);
	/* transition: all 0s var(--transition-timing-function); */
	--transition-time: 0s;
	--fill: var(--click-color);
}

.rk-btn:disabled, .rk-btn.disabled {
	pointer-events: none;
	color: var(--disable-color);
	fill: var(--disable-color);
	background-color: var(--disable-bg-color);
	border-color: var(--disable-border-color);
	--fill: var(--disable-color);
}

.tp-body-m-medium {
	font-weight: 500;
	font-size: 16px;
	line-height: 24px;
	letter-spacing: normal;
}

.tp-body-s-regular {
	font-weight: 400;
	font-size: 14px;
	line-height: 20px;
	letter-spacing: normal;
}

.tp-body-s-medium {
	font-weight: 500;
	font-size: 14px;
	line-height: 20px;
	letter-spacing: normal;
}

/* Theme */
.universal-input-vars {
	/* Background color vars */
	--default-bg-color: var(--input-external-default-bg-color, #EBEDEE);
	--focused-bg-color: var(--input-external-focused-bg-color, #FFFFFF);
	--hover-bg-color: var(--input-external-hover-bg-color, #E4E6E9);
	--disable-bg-color: var(--input-external-disable-bg-color, #EBEDEE);
	/* Color vars */
	--default-color: var(--input-external-default-color, #41494F);
	--focused-color: var(--input-external-focused-color, #41494F);
	--hover-color: var(--input-external-hover-color, #41494F);
	--disable-color: var(--input-external-disable-color, #41494F);
	--placeholder-default-color: var(--input-external-placeholder-default-color, #788591);
	--placeholder-focused-color: var(--input-external-placeholder-focused-color, #788591);
	--placeholder-hover-color: var(--input-external-placeholder-hover-color, #788591);
	--placeholder-disable-color: var(--input-external-placeholder-disable-color, #788591);
	--label-default-color: var(--input-external-label-default-color, #788591);
	--label-focused-color: var(--input-external-label-focused-color, #788591);
	--label-hover-color: var(--input-external-label-hover-color, #788591);
	--label-disable-color: var(--input-external-label-disable-color, #788591);
	--description-default-color: var(--input-external-description-default-color, #788591);
	/* Border color vars */
	--default-border-color: var(--input-external-default-border-color, transparent);
	--focused-border-color: var(--input-external-focused-border-color, #41494F);
	--hover-border-color: var(--input-external-hover-border-color, transparent);
	--disable-border-color: var(--input-external-disable-border-color, transparent);
}

/* Other */
.universal-input-vars {
	--default-border-style: var(--input-external-default-border-style, solid);
	--focused-border-style: var(--input-external-focused-border-style, solid);
	--hover-border-style: var(--input-external-hover-border-style, solid);
	--disable-border-style: var(--input-external-disable-border-style, solid);
	--height: 56px;
	--border-radius: 10px;
	--border-width: 1px;
	--padding-top: 4px;
	--padding-right: 12px;
	--padding-bottom: 4px;
	--padding-left: 12px;
	--padding: var(--padding-top) var(--padding-right) var(--padding-bottom) var(--padding-left);
	--gap: 4px;
	--transition-time: var(--input-external-transition-time, 0.3s);
	--transition-timing-function: var(--input-external-transition-timing-function, ease-out);
}

/* Sizes */
.universal-input-l {
	--height: var(--input-external-height-l, 56px);
	--border-radius: var(--input-external-border-radius-l, 10px);
	--padding-top: var(--input-external-padding-top-l, 4px);
	--padding-right: var(--input-external-padding-right-l, 12px);
	--padding-bottom: var(--input-external-padding-bottom-l, 4px);
	--padding-left: var(--input-external-padding-left-l, 12px);
}

.universal-input-m {
	--height: var(--input-external-height-m, 48px);
	--border-radius: var(--input-external-border-radius-m, 10px);
	--padding-top: var(--input-external-padding-top-m, 4px);
	--padding-right: var(--input-external-padding-right-m, 12px);
	--padding-bottom: var(--input-external-padding-bottom-m, 4px);
	--padding-left: var(--input-external-padding-left-m, 12px);
}

.universal-input-s {
	--height: var(--input-external-height-s, 36px);
	--border-radius: var(--input-external-border-radius-s, 8px);
	--padding-top: var(--input-external-padding-top-s, 4px);
	--padding-right: var(--input-external-padding-right-s, 12px);
	--padding-bottom: var(--input-external-padding-bottom-s, 4px);
	--padding-left: var(--input-external-padding-left-s, 12px);
}

.universal-input-xs {
	--height: var(--input-external-height-xs, 24px);
	--border-radius: var(--input-external-border-radius-xs, 6px);
	--padding-top: var(--input-external-padding-top-xs, 4px);
	--padding-right: var(--input-external-padding-right-xs, 12px);
	--padding-bottom: var(--input-external-padding-bottom-xs, 4px);
	--padding-left: var(--input-external-padding-left-xs, 12px);
}

.universal-input {
	height: var(--height);
	border-radius: var(--border-radius);
	outline: none;
	transition: var(--transition-time) var(--transition-timing-function);
	border: var(--border-width) var(--default-border-style) var(--default-border-color);
	background-color: var(--default-bg-color);
	color: var(--default-color);
	padding: var(--padding) !important;
}

.universal-input::placeholder {
	color: var(--placeholder-default-color);
}

.universal-input:hover {
	background-color: var(--hover-bg-color);
	border-color: var(--hover-border-color);
	border-style: var(--hover-border-style);
}

.universal-input:hover::placeholder {
	color: var(--placeholder-hover-color);
}

.universal-input:focus {
	background-color: var(--focused-bg-color);
	border-color: var(--focused-border-color);
	border-style: var(--focused-border-style);
}

.universal-input:focus::placeholder {
	color: var(--placeholder-focused-color);
}

.universal-input.disabled, .universal-input:disabled {
	pointer-events: none;
	opacity: 0.5;
	background-color: var(--disable-bg-color);
	border-color: var(--disable-border-color);
	border-style: var(--disable-border-style);
}

.universal-input.disabled::placeholder, .universal-input:disabled::placeholder {
	color: var(---placeholder-disable-color);
}

.general-form-new {
	background-color: white;
	border: 1px solid #DDE0E3;
	padding: 16px !important;
	border-radius: 10px;
	width: fit-content;
}

.general-form-new div {
	display: flex;
	flex-wrap: nowrap;
	align-items: center;
	justify-content: center;
	gap: 16px;
}

.formV-new div {
	--button-external-width-s: 100%;
	flex-direction: column;
}

.general-form-new div img {
	padding-bottom: 4px;
	flex-grow: 0;
	flex-shrink: 0;
}

.general-form-new div a {
	flex-grow: 1;
	flex-shrink: 0;
	text-decoration: none;
}

.formV-new div img {
	width: 124px;
}

.formS-new div img,
.formM-new div img,
.formFL-new div img,
.formL-new div img {
	width: 133px;
}

.formFL-new div input {
	max-width: 140px;
}